## ros-one-uvc-camera 0.2.7-0jammy.20251023.0343

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(uvc_camera)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS camera_info_manager image_transport nodelet roscpp sensor_msgs)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS thread system)
#find_package(V4L2 REQUIRED)
set(V4L2_LIBRARIES v4l2)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   sensor_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
   LIBRARIES nodelet_uvc_camera
   CATKIN_DEPENDS roscpp nodelet sensor_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(uvc_camera
#   src/${PROJECT_NAME}/uvc_camera.cpp
# )

## Declare a cpp executable
# add_executable(uvc_camera_node src/uvc_camera_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(uvc_camera_node uvc_camera_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(uvc_camera_node
#   ${catkin_LIBRARIES}
# )

add_library(nodelet_uvc_camera src/nodelets.cpp src/camera.cpp src/stereo.cpp src/uvc_cam.cpp)
target_link_libraries(nodelet_uvc_camera ${Boost_LIBRARIES} ${V4L2_LIBRARIES} ${catkin_LIBRARIES})

add_executable(uvc_camera_node src/camera_node.cpp src/camera.cpp src/uvc_cam.cpp)
target_link_libraries(uvc_camera_node ${Boost_LIBRARIES} ${V4L2_LIBRARIES} ${catkin_LIBRARIES})

add_executable(uvc_stereo_node src/stereo_node.cpp src/stereo.cpp src/uvc_cam.cpp)
target_link_libraries(uvc_stereo_node ${Boost_LIBRARIES} ${V4L2_LIBRARIES} ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS nodelet_uvc_camera uvc_camera_node uvc_stereo_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  nodelet_uvc_camera.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_uvc_camera.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-one-uvc-camera (0.2.7-0jammy.20251023.0343) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Thu, 23 Oct 2025 03:43:52 +0000

ros-one-uvc-camera (0.2.7-0jammy) jammy; urgency=high

  * Merge pull request #22 <https://github.com/ros-drivers/camera_umd/issues/22> from ros-drivers/fix_9
    install launch files
  * install launch files
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-uvc-camera (0.2.6-0jammy) jammy; urgency=high

  * Merge pull request #21 <https://github.com/ros-drivers/camera_umd/issues/21> from ros-drivers/add_travis
    add .travis.yml including melodic
  * Merge remote-tracking branch 'mikaelarguedas/patch-1' into add_travis
  * update to use non deprecated pluginlib macro
  * Contributors: Kei Okada, Mikael Arguedas

 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-uvc-camera (0.2.5-0jammy) jammy; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#18 <https://github.com/ros-drivers/camera_umd/pull/18>)
  * important property: focus_absolute ; add because here example == documentation
  * Added exposure, gain, horizontal flip and vertical flip controls (#15 <https://github.com/ros-drivers/camera_umd/pull/15>)
  * Added support for some camera controls in ROS .launch files.  (#14 <https://github.com/ros-drivers/camera_umd/pull/14>)
    * Added exposure, gain, horizontal flip and vertical flip controls
    * Added support for camera controls in ROS .launch files. Also added example.launch
  * Support MJPEG format direct streaming (#13 <https://github.com/ros-drivers/camera_umd/pull/13>)
  * Add comment in launchfiles. (#12 <https://github.com/ros-drivers/camera_umd/pull/12>)
  * Add brightness control parameter. (#12 <https://github.com/ros-drivers/camera_umd/pull/12>)
  * Contributors: Adrian Yuen, Glass Bot, Kei Okada, Lingzhu Xiang, Toni Oliver

 -- Ken Tossell <ken@tossell.net>  Thu, 15 Jun 2017 00:00:00 -0000

ros-one-uvc-camera (0.2.4-0jammy) jammy; urgency=high

  * Added new parameters: auto_focus (bool), focus_absolute (int), auto_exposure (bool),
    exposure_absolute (int), power_line_frequency (int: 0/50/60)
  * Contributors: Andreas Bihlmaier

 -- Ken Tossell <ken@tossell.net>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.3-0jammy) jammy; urgency=high

  * Disabled hardcoded default parameters.
  * Contributors: Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Thu, 26 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.2-0jammy) jammy; urgency=high

  * Print warnings instead of crashing when camera features are unavailable.
  * Support V4L drivers that need user-writable mmap regions (e.g., bttv).
  * Fixed nodelet names in the launch files.
  * Added camera_name parameter, sent to camera_info_manager.
  * Contributors: James Sarrett, Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.1-0jammy) jammy; urgency=high

  * Added install rule for nodelet_uvc_camera.xml

 -- Ken Tossell <ken@tossell.net>  Sun, 12 Jan 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.0-0jammy) jammy; urgency=high

  * Converted uvc_camera to catkin

 -- Ken Tossell <ken@tossell.net>  Fri, 02 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-uvc-camera
Section: misc
Priority: optional
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 9.0.0), libv4l-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/uvc_camera
Standards-Version: 3.9.2

Package: ros-one-uvc-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libv4l-dev, ros-one-camera-info-manager, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: A collection of node(let)s that stream images from USB cameras (UVC) and provide CameraInfo messages to consumers.
 Includes a two-camera node that provides rough synchronization for stereo vision. Currently uses the base driver from Morgan Quigley's uvc_cam package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-uvc-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-uvc-camera 0.2.7-0jammy.20260221.0022

=== debian/changelog ===
ros-one-uvc-camera (0.2.7-0jammy.20260221.0022) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Sat, 21 Feb 2026 00:22:36 +0000

## ros-one-uvc-camera 0.2.7-0noble.20251023.0340

=== debian/changelog ===
ros-one-uvc-camera (0.2.7-0noble.20251023.0340) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Thu, 23 Oct 2025 03:40:51 +0000

ros-one-uvc-camera (0.2.7-0noble) noble; urgency=high

  * Merge pull request #22 <https://github.com/ros-drivers/camera_umd/issues/22> from ros-drivers/fix_9
    install launch files
  * install launch files
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-uvc-camera (0.2.6-0noble) noble; urgency=high

  * Merge pull request #21 <https://github.com/ros-drivers/camera_umd/issues/21> from ros-drivers/add_travis
    add .travis.yml including melodic
  * Merge remote-tracking branch 'mikaelarguedas/patch-1' into add_travis
  * update to use non deprecated pluginlib macro
  * Contributors: Kei Okada, Mikael Arguedas

 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-uvc-camera (0.2.5-0noble) noble; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#18 <https://github.com/ros-drivers/camera_umd/pull/18>)
  * important property: focus_absolute ; add because here example == documentation
  * Added exposure, gain, horizontal flip and vertical flip controls (#15 <https://github.com/ros-drivers/camera_umd/pull/15>)
  * Added support for some camera controls in ROS .launch files.  (#14 <https://github.com/ros-drivers/camera_umd/pull/14>)
    * Added exposure, gain, horizontal flip and vertical flip controls
    * Added support for camera controls in ROS .launch files. Also added example.launch
  * Support MJPEG format direct streaming (#13 <https://github.com/ros-drivers/camera_umd/pull/13>)
  * Add comment in launchfiles. (#12 <https://github.com/ros-drivers/camera_umd/pull/12>)
  * Add brightness control parameter. (#12 <https://github.com/ros-drivers/camera_umd/pull/12>)
  * Contributors: Adrian Yuen, Glass Bot, Kei Okada, Lingzhu Xiang, Toni Oliver

 -- Ken Tossell <ken@tossell.net>  Thu, 15 Jun 2017 00:00:00 -0000

ros-one-uvc-camera (0.2.4-0noble) noble; urgency=high

  * Added new parameters: auto_focus (bool), focus_absolute (int), auto_exposure (bool),
    exposure_absolute (int), power_line_frequency (int: 0/50/60)
  * Contributors: Andreas Bihlmaier

 -- Ken Tossell <ken@tossell.net>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.3-0noble) noble; urgency=high

  * Disabled hardcoded default parameters.
  * Contributors: Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Thu, 26 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.2-0noble) noble; urgency=high

  * Print warnings instead of crashing when camera features are unavailable.
  * Support V4L drivers that need user-writable mmap regions (e.g., bttv).
  * Fixed nodelet names in the launch files.
  * Added camera_name parameter, sent to camera_info_manager.
  * Contributors: James Sarrett, Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.1-0noble) noble; urgency=high

  * Added install rule for nodelet_uvc_camera.xml

 -- Ken Tossell <ken@tossell.net>  Sun, 12 Jan 2014 00:00:00 -0000

ros-one-uvc-camera (0.2.0-0noble) noble; urgency=high

  * Converted uvc_camera to catkin

 -- Ken Tossell <ken@tossell.net>  Fri, 02 Aug 2013 00:00:00 -0000

## ros-one-uvc-camera 0.2.7-0noble.20260221.0050

=== debian/changelog ===
ros-one-uvc-camera (0.2.7-0noble.20260221.0050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Sat, 21 Feb 2026 00:50:21 +0000
